summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/webcore-fonts/25-noautohint-corefonts.conf31
-rw-r--r--system/webcore-fonts/35-webcore-fonts.conf22
-rw-r--r--system/webcore-fonts/README16
-rw-r--r--system/webcore-fonts/doinst.sh11
-rw-r--r--system/webcore-fonts/slack-desc19
-rw-r--r--system/webcore-fonts/webcore-fonts.SlackBuild52
-rw-r--r--system/webcore-fonts/webcore-fonts.info8
7 files changed, 159 insertions, 0 deletions
diff --git a/system/webcore-fonts/25-noautohint-corefonts.conf b/system/webcore-fonts/25-noautohint-corefonts.conf
new file mode 100644
index 0000000000..f017ed6ba4
--- /dev/null
+++ b/system/webcore-fonts/25-noautohint-corefonts.conf
@@ -0,0 +1,31 @@
+<?xml version="1.0"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+
+<!--
+http://slackwiki.org/LCD_Monitor_Configuration_In_X.Org
+
+SlackWiki recommends using the Bytecode interpreter to render
+core fonts. In this file, we disable the Freetype autohinter
+for Webcore fonts only. If you've enabled the Bytecode interpreter,
+it will then be used to render Webcore fonts even if you turn
+the autohinter on.
+-->
+
+<fontconfig>
+ <test name="family">
+ <string>Andale Mono</string>
+ <string>Arial</string>
+ <string>Comic Sans MS</string>
+ <string>Courier New</string>
+ <string>Georgia</string>
+ <string>Impact</string>
+ <string>Tahoma</string>
+ <string>Times New Roman</string>
+ <string>Trebuchet MS</string>
+ <string>Verdana</string>
+ <string>Webdings</string>
+ </test>
+ <edit mode="assign" name="autohint">
+ <bool>false</bool>
+ </edit>
+</fontconfig>
diff --git a/system/webcore-fonts/35-webcore-fonts.conf b/system/webcore-fonts/35-webcore-fonts.conf
new file mode 100644
index 0000000000..f6c8bab9e8
--- /dev/null
+++ b/system/webcore-fonts/35-webcore-fonts.conf
@@ -0,0 +1,22 @@
+<?xml version="1.0"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+<fontconfig>
+ <alias>
+ <family>serif</family>
+ <prefer>
+ <family>Times New Roman</family>
+ </prefer>
+ </alias>
+ <alias>
+ <family>sans-serif</family>
+ <prefer>
+ <family>Arial</family>
+ </prefer>
+ </alias>
+ <alias>
+ <family>monospace</family>
+ <prefer>
+ <family>Courier New</family>
+ </prefer>
+ </alias>
+</fontconfig>
diff --git a/system/webcore-fonts/README b/system/webcore-fonts/README
new file mode 100644
index 0000000000..f0a7c8b19d
--- /dev/null
+++ b/system/webcore-fonts/README
@@ -0,0 +1,16 @@
+The Webcore Fonts package contains:
+
+* Microsoft's Core Fonts for the web * Microsoft Tahoma * Microsoft's
+new fonts for Windows Vista
+
+This SlackBuild puts two files in in /etc/fonts/conf.avail. The
+first, "35-webcore-fonts.conf", sets the "sans" "serif" and
+"monsopace" aliases to Arial, Times New Roman and Courier New. The
+second. "25-noautohint-corefonts.conf", disables the autohinter
+for core fonts only. You activate either file by symlinking it into
+/etc/fonts/conf.d.
+
+Before installing these, please remove
+"/etc/fonts/conf.d/60-liberation.conf". That file causes Slackware to
+display Liberation fonts in the place of Microsoft fonts. If you have
+Microsoft fonts, you don't need it.
diff --git a/system/webcore-fonts/doinst.sh b/system/webcore-fonts/doinst.sh
new file mode 100644
index 0000000000..bdb050188d
--- /dev/null
+++ b/system/webcore-fonts/doinst.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir -o -x /usr/X11R6/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/webcore-fonts/slack-desc b/system/webcore-fonts/slack-desc
new file mode 100644
index 0000000000..fd883f1738
--- /dev/null
+++ b/system/webcore-fonts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+webcore-fonts: Webcore Fonts (Microsoft's core fonts for the web)
+webcore-fonts:
+webcore-fonts: The Webcore Fonts include:
+webcore-fonts:
+webcore-fonts: * Microsoft's core fonts for the web
+webcore-fonts: * Microsoft Tahoma
+webcore-fonts: * Microsoft's fonts for Windows Vista
+webcore-fonts:
+webcore-fonts: http://avi.alkalay.net/linux/docs/font-howto/Font.html#msfonts
+webcore-fonts:
+webcore-fonts:
diff --git a/system/webcore-fonts/webcore-fonts.SlackBuild b/system/webcore-fonts/webcore-fonts.SlackBuild
new file mode 100644
index 0000000000..d0c3b2a37f
--- /dev/null
+++ b/system/webcore-fonts/webcore-fonts.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for webcore-fonts
+
+# Written by Dugan Chen (dugan [underscore] c [at] fastmail [dot] fm)
+# Modified by SlackBuilds.org
+
+PRGNAM=webcore-fonts
+VERSION=${VERSION:-3.0}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/TTF
+cp fonts/* $PKG/usr/share/fonts/TTF
+cp vista/* $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/etc/fonts/conf.avail
+cp $CWD/35-webcore-fonts.conf $PKG/etc/fonts/conf.avail
+cp $CWD/25-noautohint-corefonts.conf $PKG/etc/fonts/conf.avail
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm $PKG/usr/doc/$PRGNAM-$VERSION/index.html.new
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/webcore-fonts/webcore-fonts.info b/system/webcore-fonts/webcore-fonts.info
new file mode 100644
index 0000000000..4cb9e653f8
--- /dev/null
+++ b/system/webcore-fonts/webcore-fonts.info
@@ -0,0 +1,8 @@
+PRGNAM="webcore-fonts"
+VERSION="3.0"
+HOMEPAGE="http://avi.alkalay.net/linux/docs/font-howto/Font.html#msfonts"
+DOWNLOAD="http://avi.alkalay.net/software/webcore-fonts/webcore-fonts-3.0.tar.gz"
+MD5SUM="0ca029d7135f7afdba00be6280ff96c6"
+MAINTAINER="Dugan Chen"
+EMAIL="dugan [underscore] c [at] fastmail [dot] fm"
+APPROVED="dsomero"